Subscriptions¶
List all your subscriptions¶
GET /api/subscriptions
OAuth authorization required: profile_read
You can also view a subscription by passing it's external_id as the id, and adding the query param ?find_by_external_id=true to your request.
Schema
subscriptions: Arrayid: Integerlabel: Stringexternal_id: Stringactive: Booleanrun_rate: Decimalcreated_at: DateTimeupdated_at: DateTimesubscription_products: Arrayid: Integerexternal_id: Stringstart_on: DateTimeactive: Booleanphase_type: Stringcreated_at: DateTimeupdated_at: DateTimeproduct: Objectid: Integerlabel: Stringkind: Stringresource_kind: Stringcreated_at: DateTimeupdated_at: DateTimepackage: Objectid: Integercpu: Decimalmemory: Integerstorage: Integerbandwidth: Integerlocal_disk: Integermemory_swap: Integermemory_swappiness: Integer
billing_resource: Objectid: Integerbilling_plan_id: Integerexternal_id: String
container: Objectid: Integername: Stringlabel: Stringload_balancer_id: Integerstatus: Stringcpu: Decimalmemory: Integercreated_at: DateTimeupdated_at: DateTimecontainer_image: Objectid: Integerlabel: Stringdescription: Stringimage_url: String
deployment: Objectid: Integername: Stringstatus: Stringcreated_at: DateTimeupdated_at: DateTime
service: Objectid: Integername: Stringlabel: Stringcreated_at: DateTimeupdated_at: DateTime
region: Objectid: Integername: String
node: Objectid: Integerlabel: Stringhostname: Stringprimary_ip: Stringpublic_ip: String
user: Objectid: Integerfull_name: Stringemail: Stringexternal_id: String
View a subscription¶
GET /api/subscriptions/{id}
OAuth authorization required: profile_read
Schema
subscriptions: Arrayid: Integerlabel: Stringexternal_id: Stringactive: Booleanrun_rate: Decimalcreated_at: DateTimeupdated_at: DateTimesubscription_products: Arrayid: Integerexternal_id: Stringstart_on: DateTimeactive: Booleanphase_type: Stringcreated_at: DateTimeupdated_at: DateTimeproduct: Objectid: Integerlabel: Stringkind: Stringresource_kind: Stringcreated_at: DateTimeupdated_at: DateTimepackage: Objectid: Integercpu: Decimalmemory: Integerstorage: Integerbandwidth: Integerlocal_disk: Integermemory_swap: Integermemory_swappiness: Integer
billing_resource: Objectid: Integerbilling_plan_id: Integerexternal_id: String
container: Objectid: Integername: Stringlabel: Stringload_balancer_id: Integerstatus: Stringcpu: Decimalmemory: Integercreated_at: DateTimeupdated_at: DateTimecontainer_image: Objectid: Integerlabel: Stringdescription: Stringimage_url: String
deployment: Objectid: Integername: Stringstatus: Stringcreated_at: DateTimeupdated_at: DateTime
service: Objectid: Integername: Stringlabel: Stringcreated_at: DateTimeupdated_at: DateTime
region: Objectid: Integername: String
node: Objectid: Integerlabel: Stringhostname: Stringprimary_ip: Stringpublic_ip: String
user: Objectid: Integerfull_name: Stringemail: Stringexternal_id: String